%define __noautoreq devel\\(libtcl)

%define major 5
%define major_ecpg 6
%define libname %mklibname pq %{major}
%define libecpg %mklibname ecpg %{major_ecpg}

%define majorversion 9.6
%define minorversion 7
%define bname		%{name}%{majorversion}
%define server		%{name}-server
%define contrib		%{name}-contrib
%define metapl		%{name}-pl
%define plpython	%{name}-plpython
%define plperl		%{name}-plperl
%define pltcl		%{name}-pltcl
%define plpgsql		%{name}-plpgsql

%define pgdata /var/lib/pgsql
%define pguser postgres
%define logrotatedir %{_sysconfdir}/logrotate.d

%bcond_without uuid

Summary:	PostgreSQL client programs and libraries
Name:		postgresql
Version:	%{majorversion}.%{minorversion}
Release:	1
Epoch:		1
License:	BSD
Group:		Databases
Url:		http://www.postgresql.org/
Source0:	https://ftp.postgresql.org/pub/source/v%{version}/%{name}-%{version}.tar.bz2
Source1:	https://ftp.postgresql.org/pub/source/v%{version}/%{name}-%{version}.tar.bz2.md5
Source10:	postgres.profile
Source11:	postgresql.service
Source12:	postgresql.tmpfiles.d
Source14:	postgresql_initdb.sh

Patch0:		postgresql-9.6.2-ossp-uuid-dir.patch
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	pam-devel
BuildRequires:	perl-devel
BuildRequires:	readline-devel
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libxslt)
BuildRequires:	pkgconfig(openssl)
%if %{with uuid}
BuildRequires:	pkgconfig(ossp-uuid)
%endif
BuildRequires:	pkgconfig(python)
BuildRequires:	pkgconfig(tcl)
BuildRequires:	pkgconfig(zlib)
# Need to build doc
BuildRequires:	docbook-dtd-xml
BuildRequires:	docbook-dtd42-sgml
BuildRequires:	docbook-style-xsl
BuildRequires:	docbook-utils
BuildRequires:	openjade
BuildRequires:	xmlto
BuildRequires:	xsltproc
Provides:	postgresql-clients = %{EVRD}
Obsoletes:	postgresql9.0 < %{EVRD}

%description
PostgreSQL is an advanced Object-Relational database management system (DBMS)
that supports almost all SQL constructs (including transactions, subselects and
user-defined types and functions). The postgresql package includes the client
programs and libraries that you'll need to access a PostgreSQL DBMS server.
These PostgreSQL client programs are programs that directly manipulate the
internal structure of PostgreSQL databases on a PostgreSQL server. These client
programs can be located on the same machine with the PostgreSQL server, or may
be on a remote machine which accesses a PostgreSQL server over a network
connection. This package contains the client libraries for C and C++, as well
as command-line utilities for managing PostgreSQL databases on a PostgreSQL
server.

If you want to manipulate a PostgreSQL database on a remote PostgreSQL server,
you need this package. You also need to install this package if you're
installing the postgresql-server package.

%files -f main.lst
%doc doc/KNOWN_BUGS doc/MISSING_FEATURES
%doc COPYRIGHT README HISTORY doc/bug.template
%{_bindir}/clusterdb
%{_bindir}/createdb
%{_bindir}/createlang
%{_bindir}/createuser
%{_bindir}/dropdb
%{_bindir}/droplang
%{_bindir}/dropuser
%{_bindir}/pg_basebackup
%{_bindir}/pg_dump
%{_bindir}/pg_dumpall
%{_bindir}/pg_isready
%{_bindir}/pg_receivexlog
%{_bindir}/pg_restore
%{_bindir}/pg_rewind
%{_bindir}/pg_test_fsync
%{_bindir}/pg_test_timing
%{_bindir}/pg_xlogdump
%{_bindir}/psql
%{_bindir}/reindexdb
%{_bindir}/vacuumdb
%{_mandir}/man1/clusterdb.*
%{_mandir}/man1/createdb.*
%{_mandir}/man1/createlang.*
%{_mandir}/man1/createuser.*
%{_mandir}/man1/dropdb.*
%{_mandir}/man1/droplang.*
%{_mandir}/man1/dropuser.*
%{_mandir}/man1/pg_basebackup.*
%{_mandir}/man1/pg_dump.*
%{_mandir}/man1/pg_dumpall.*
%{_mandir}/man1/pg_isready.1*
%{_mandir}/man1/pg_receivexlog.1*
%{_mandir}/man1/pg_restore.1*
%{_mandir}/man1/pg_rewind.1*
%{_mandir}/man1/pg_test_fsync.1*
%{_mandir}/man1/pg_test_timing.1*
%{_mandir}/man1/pg_xlogdump.1*
%{_mandir}/man1/psql.*
%{_mandir}/man1/reindexdb.*
%{_mandir}/man1/vacuumdb.*
%{_mandir}/man7/*
%{_sys_macros_dir}/%{name}.macros


#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	The shared libraries required for any PostgreSQL clients
Group:		System/Libraries
Provides:	postgresql-libs = %{EVRD}
%rename	%{_lib}pq9.0_5

%description -n %{libname}
C and C++ libraries to enable user programs to communicate with the PostgreSQL
database backend. The backend can be on another machine and accessed through
TCP/IP.

%files -n %{libname} -f %{libname}.lst
%{_libdir}/libpq.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libecpg}
Summary:	Shared library libecpg for PostgreSQL
Group:		System/Libraries
Conflicts:	%{_lib}ecpg5
%rename	%{_lib}ecpg9.0_6

%description -n %{libecpg}
Libecpg is used by programs built with ecpg (Embedded PostgreSQL for C) Use
postgresql-dev to develop such programs.

%files -n %{libecpg} -f %{libecpg}.lst
%{_libdir}/libecpg.so.%{major_ecpg}*
%{_libdir}/libecpg_compat.so.*
%{_libdir}/libpgtypes.so.*

#----------------------------------------------------------------------------

%package -n %{server}
Summary:	The programs needed to create and run a PostgreSQL server
Group:		Databases
Provides:	postgresql-server = %{version}-%{release}
# the client bins are needed for upgrading
Requires:	postgresql >= %{EVRD}
Requires:	postgresql-plpgsql >= %{EVRD}
Obsoletes:	postgresql9.0-server < %{EVRD}
# add/remove services
Requires(post,preun):	rpm-helper
# add/del user
Requires(pre,postun):	rpm-helper
Requires(post,preun):	update-alternatives

%description -n %{server}
The postgresql-server package includes the programs needed to create and run a
PostgreSQL server, which will in turn allow you to create and maintain
PostgreSQL databases.  PostgreSQL is an advanced Object-Relational database
management system (DBMS) that supports almost all SQL constructs (including
transactions, subselects and user-defined types and functions). You should
install postgresql-server if you want to create and maintain your own
PostgreSQL databases and/or your own PostgreSQL server. You also need to
install the postgresql and postgresql-devel packages.

%files -n %{server} -f server.lst
%{_unitdir}/%{bname}.service
%{_tmpfilesdir}/%{bname}.conf
%config(noreplace) %{_sysconfdir}/sysconfig/postgresql
%{_bindir}/initdb
%{_bindir}/pg_controldata
%{_bindir}/pg_ctl
%{_bindir}/pg_resetxlog
%{_bindir}/postgres
%{_bindir}/postmaster
%{_bindir}/pg_standby
%{_bindir}/pg_archivecleanup
%{_bindir}/pg_upgrade
%{_prefix}/libexec/postgresql_initdb.sh
%{_mandir}/man1/initdb.1*
%{_mandir}/man1/pg_controldata.*
%{_mandir}/man1/pg_ctl.1*
%{_mandir}/man1/pg_resetxlog.*
%{_mandir}/man1/pg_upgrade.1*
%{_mandir}/man1/postgres.1*
%{_mandir}/man1/postmaster.1*
%dir %{_libdir}/postgresql
%dir %{_datadir}/postgresql
%attr(644,%{pguser},%{pguser}) %config(noreplace) %{pgdata}/.bashrc
%attr(-,%{pguser},%{pguser}) %{pgdata}/.profile
%attr(700,%{pguser},%{pguser}) %dir %{pgdata}
%attr(-,%{pguser},%{pguser}) %{pgdata}/data
%attr(700,%{pguser},%{pguser}) %dir %{pgdata}/backups
%{_libdir}/postgresql/*_and_*.so
%{_libdir}/postgresql/auth_delay.so
%{_libdir}/postgresql/auto_explain.so
%{_libdir}/postgresql/btree_gin.so
%{_libdir}/postgresql/citext.so
%{_libdir}/postgresql/dict_int.so
%{_libdir}/postgresql/dict_snowball.so
%{_libdir}/postgresql/dict_xsyn.so
%{_libdir}/postgresql/euc2004_sjis2004.so
%{_libdir}/postgresql/file_fdw.so
%{_libdir}/postgresql/libpqwalreceiver.so
%{_libdir}/postgresql/passwordcheck.so
%{_libdir}/postgresql/pg_stat_statements.so
%{_libdir}/postgresql/pgxml.so
%{_libdir}/postgresql/tsearch2.so
%{_libdir}/postgresql/unaccent.so
%if %{with uuid}
%{_libdir}/postgresql/uuid-ossp.so
%endif
%{_datadir}/postgresql/postgres.bki
%{_datadir}/postgresql/postgres.description
%{_datadir}/postgresql/*.sample
%{_datadir}/postgresql/timezone
%{_datadir}/postgresql/system_views.sql
%{_datadir}/postgresql/conversion_create.sql
%{_datadir}/postgresql/information_schema.sql
%{_datadir}/postgresql/snowball_create.sql
%{_datadir}/postgresql/sql_features.txt
%{_datadir}/postgresql/postgres.shdescription
%dir %{_datadir}/postgresql/timezonesets
%{_datadir}/postgresql/timezonesets/Africa.txt
%{_datadir}/postgresql/timezonesets/America.txt
%{_datadir}/postgresql/timezonesets/Antarctica.txt
%{_datadir}/postgresql/timezonesets/Asia.txt
%{_datadir}/postgresql/timezonesets/Atlantic.txt
%{_datadir}/postgresql/timezonesets/Australia
%{_datadir}/postgresql/timezonesets/Australia.txt
%{_datadir}/postgresql/timezonesets/Default
%{_datadir}/postgresql/timezonesets/Etc.txt
%{_datadir}/postgresql/timezonesets/Europe.txt
%{_datadir}/postgresql/timezonesets/India
%{_datadir}/postgresql/timezonesets/Indian.txt
%{_datadir}/postgresql/timezonesets/Pacific.txt
%{_datadir}/postgresql/tsearch_data
%dir %{_datadir}/postgresql/extension
%{_datadir}/postgresql/extension/*
%attr(700,postgres,postgres) %dir /var/log/postgres
%{logrotatedir}/%{name}
%{_mandir}/man1/pg_archivecleanup.1*
%{_mandir}/man1/pg_standby.1*

%pre -n %{server}
%_pre_useradd %{pguser} %{pgdata} /bin/bash
# if upgrade

[ ! -f %{pgdata}/data/PG_VERSION ] && exit 0
mypgversion=`cat %{pgdata}/data/PG_VERSION`
[ $mypgversion = %{majorversion} ] && exit 0

echo ""
echo "You currently have database tree for Postgresql $mypgversion"
echo "You must use postgresql${mypgversion}-server"
echo "To update you Postgresql server, dump your databases"
echo "delete /var/lib/pgsql/data/ content, upgrade the server, then"
echo "restore your databases from your backup"
echo ""

exit 1

%posttrans -n %{server}
%_post_service %{bname}
%tmpfiles_create %{bname}

%preun -n %{server}
%_preun_service %{bname}

%postun -n %{server}
%_postun_userdel %{pguser}

#----------------------------------------------------------------------------

%package docs
Summary:	Extra documentation for PostgreSQL
Group:		Documentation
Obsoletes:	postgresql9.0-docs < %{EVRD}

%description docs
The postgresql-docs package includes the SGML source for the documentation as
well as the documentation in other formats, and some extra documentation.
Install this package if you want to help with the PostgreSQL documentation
project, or if you want to generate printed documentation.

%files docs
%doc %{_docdir}/%{name}-docs-%{version}

#----------------------------------------------------------------------------

%package -n %{contrib}
Summary:	Contributed binaries distributed with PostgreSQL
Group:		Databases
Obsoletes:	postgresql9.0-contrib < %{EVRD}

%description -n %{contrib}
The postgresql-contrib package includes the contrib tree distributed with the
PostgreSQL tarball. Selected contrib modules are prebuilt.

%files -n %{contrib}
%{_libdir}/postgresql/_int.so
%{_libdir}/postgresql/adminpack.so
%{_libdir}/postgresql/autoinc.so
%{_libdir}/postgresql/bloom.so
%{_libdir}/postgresql/btree_gist.so
%{_libdir}/postgresql/chkpass.so
%{_libdir}/postgresql/cube.so
%{_libdir}/postgresql/dblink.so
%{_libdir}/postgresql/earthdistance.so
%{_libdir}/postgresql/fuzzystrmatch.so
%{_libdir}/postgresql/hstore.so
%{_libdir}/postgresql/hstore_plperl.so
%{_libdir}/postgresql/hstore_plpython2.so
%{_libdir}/postgresql/insert_username.so
%{_libdir}/postgresql/isn.so
%{_libdir}/postgresql/lo.so
%{_libdir}/postgresql/ltree.so
%{_libdir}/postgresql/ltree_plpython2.so
%{_libdir}/postgresql/moddatetime.so
%{_libdir}/postgresql/pageinspect.so
%{_libdir}/postgresql/pg_buffercache.so
%{_libdir}/postgresql/pg_freespacemap.so
%{_libdir}/postgresql/pg_prewarm.so
%{_libdir}/postgresql/pg_trgm.so
%{_libdir}/postgresql/pg_visibility.so
%{_libdir}/postgresql/pgcrypto.so
%{_libdir}/postgresql/pgrowlocks.so
%{_libdir}/postgresql/pgstattuple.so
%{_libdir}/postgresql/postgres_fdw.so
%{_libdir}/postgresql/refint.so
%{_libdir}/postgresql/seg.so
%{_libdir}/postgresql/sslinfo.so
%{_libdir}/postgresql/tablefunc.so
%{_libdir}/postgresql/tcn.so
%{_libdir}/postgresql/test_decoding.so
%{_libdir}/postgresql/timetravel.so
%{_libdir}/postgresql/tsm_system_rows.so
%{_libdir}/postgresql/tsm_system_time.so
%{_bindir}/oid2name
%{_bindir}/pg_recvlogical
%{_bindir}/pgbench
%{_bindir}/vacuumlo
%{_mandir}/man1/oid2name.1*
%{_mandir}/man1/pg_recvlogical.1*
%{_mandir}/man1/pgbench.1*
%{_mandir}/man1/vacuumlo.1*

#----------------------------------------------------------------------------

%package devel
Summary:	PostgreSQL development header files and libraries
Group:		Development/Databases
Requires:	%{libname} = %{EVRD}
Requires:	%{libecpg} = %{EVRD}
Obsoletes:	postgresql9.0-devel < %{EVRD}

%description devel
The postgresql-devel package contains the header files and libraries needed to
compile C or C++ applications which will directly interact with a PostgreSQL
database management server and the ecpg Embedded C Postgres preprocessor. You
need to install this package if you want to develop applications which will
interact with a PostgreSQL server. If you're installing postgresql-server, you
need to install this package.

%files devel -f devel.lst
%{_includedir}/*
%{_bindir}/ecpg
%{_bindir}/pg_config
%{_libdir}/libecpg_compat.so
%{_libdir}/libecpg.so
%{_libdir}/libpgtypes.so
%{_libdir}/libpq.so
%{_libdir}/postgresql/pgxs/
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man1/ecpg.1*
%{_mandir}/man1/pg_config.1*
%{_mandir}/man3/SPI_*.3*
%{_mandir}/man3/dblink*.3*

#----------------------------------------------------------------------------

%package -n %{metapl}
Summary:	Procedurals languages for PostgreSQL
Group:		Databases
Provides:	%{name}-pl = %{EVRD}
Requires:	%{name}-plpython >= %{EVRD}
Requires:	%{name}-plperl >= %{EVRD}
Requires:	%{name}-pltcl >= %{EVRD}
Requires:	%{name}-plpgsql >= %{EVRD}
Obsoletes:	postgresql9.0-pl < %{EVRD}

%description -n %{metapl}
PostgreSQL is an advanced Object-Relational database management system. The
postgresql-pl will install the the PL/Perl, PL/Tcl, and PL/Python procedural
languages for the backend. PL/Pgsql is part of the core server package.

%files -n %{metapl}
# metapkg

#----------------------------------------------------------------------------

%package -n %{plpython}
Summary:	The PL/Python procedural language for PostgreSQL
Group:		Databases
Provides:	%{name}-plpython = %{EVRD}
Obsoletes:	postgresql9.0-plpython < %{EVRD}

%description -n %{plpython}
PostgreSQL is an advanced Object-Relational database management system. The
postgresql-plpython package contains the the PL/Python procedural languages for
the backend. PL/Python is part of the core server package.

%files -n %{plpython} -f plpython.lst
%{_libdir}/postgresql/plpython*.so

#----------------------------------------------------------------------------

%package -n %{plperl}
Summary:	The PL/Perl procedural language for PostgreSQL
Group:		Databases
Provides:	%{name}-plperl = %{EVRD}
Obsoletes:	postgresql9.0-plperl < %{EVRD}

%description -n %{plperl}
PostgreSQL is an advanced Object-Relational database management system. The
postgresql-plperl package contains the the PL/Perl procedural languages for the
backend. PL/Perl is part of the core server package.

%files -n %{plperl} -f plperl.lst
%{_libdir}/postgresql/plperl.so

#----------------------------------------------------------------------------

%package -n %{pltcl}
Summary:	The PL/Tcl procedural language for PostgreSQL
Group:		Databases
Provides:	%{name}-pltcl = %{EVRD}
Obsoletes:	postgresql9.0-pltcl < %{EVRD}

%description -n %{pltcl}
PostgreSQL is an advanced Object-Relational database management system. The
postgresql-pltcl package contains the the PL/Tcl procedural languages for the
backend. PL/Tcl is part of the core server package.

%files -n %{pltcl} -f pltcl.lst
%{_libdir}/postgresql/pltcl.so
%{_bindir}/pltcl_delmod
%{_bindir}/pltcl_listmod
%{_bindir}/pltcl_loadmod
%{_datadir}/postgresql/unknown.pltcl

#----------------------------------------------------------------------------

%package -n %{plpgsql}
Summary:	The PL/PgSQL procedural language for PostgreSQL
Group:		Databases
Provides:	%{name}-plpgsql = %{EVRD}
Obsoletes:	postgresql9.0-plpgsql < %{EVRD}

%description -n %{plpgsql}
PostgreSQL is an advanced Object-Relational database management system. The
postgresql-plpgsql package contains the the PL/PgSQL procedural languages for
the backend. PL/PgSQL is part of the core server package.

%files -n %{plpgsql} -f plpgsql.lst
%{_libdir}/postgresql/plpgsql.so

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
%serverbuild
# it does not work with -fPIE and someone added that to the serverbuild macro...
CFLAGS=`echo $CFLAGS|sed -e 's|-fPIE||g'`
CXXFLAGS=`echo $CXXFLAGS|sed -e 's|-fPIE||g'`

%configure2_5x \
	--disable-rpath \
	--with-perl \
	--with-python \
	--with-tcl \
	--with-tclconfig=%{_libdir} \
	--with-openssl \
	--with-pam \
	--with-libxml \
	--with-libxslt \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
	--prefix=%{_prefix} \
	--sysconfdir=%{_sysconfdir}/pgsql \
	--enable-nls \
%if %{with uuid}
	--with-ossp-uuid
%endif

# nuke -Wl,--no-undefined
perl -pi -e "s|-Wl,--no-undefined||g" src/Makefile.global

%if %{with uuid}
# bork...
echo "#define HAVE_OSSP_UUID_H 1" >> src/include/pg_config.h
%endif

%make world

pushd src/test
make all
popd

%check
make check

%install
make DESTDIR=%{buildroot} install-world install-docs

# install odbcinst.ini
mkdir -p %{buildroot}%{_sysconfdir}/pgsql

# PGDATA needs removal of group and world permissions due to pg_pwd hole.
install -d -m 700 %{buildroot}%{pgdata}/data

# backups of data go here...
install -d -m 700 %{buildroot}%{pgdata}/backups

# Create the multiple postmaster startup directory
install -d -m 700 %{buildroot}/etc/sysconfig/pgsql

# install systemd units
mkdir -p %{buildroot}%{_unitdir}
install -m 644 %{SOURCE11} %{buildroot}%{_unitdir}/%{bname}.service

# Create the directory for sockets.
install -d -m 755 %{buildroot}/var/run/postgresql

# ... and make a tmpfiles script to recreate it at reboot.
mkdir -p %{buildroot}%{_tmpfilesdir}
install -m 0644 %{SOURCE12} %{buildroot}%{_tmpfilesdir}/%{bname}.conf

# install helper script for env initialisation
mkdir -p %{buildroot}%{_prefix}/libexec
install -m 755 %{SOURCE14} %{buildroot}%{_prefix}/libexec


mkdir -p %{buildroot}/var/log/postgres

mkdir -p %{buildroot}%{logrotatedir}
cat > %{buildroot}%{logrotatedir}/%{name} <<EOF
/var/log/postgres/postgresql {
    notifempty
    missingok
    copytruncate
}
EOF

mv %{buildroot}%{_docdir}/%{name}/html %{buildroot}%{_docdir}/%{name}-docs-%{version}

echo -n "" > %{libname}.lst
echo -n "" > %{libecpg}.lst
echo -n "" > server.lst
echo -n "" > main.lst
echo -n "" > devel.lst
echo -n "" > plperl.lst
echo -n "" > plpython.lst
echo -n "" > pltcl.lst
echo -n "" > plpgsql.lst

# libs
%find_lang libpq%{major}-%{majorversion}
cat libpq%{major}-%{majorversion}.lang >> %{libname}.lst
%find_lang ecpglib%{major_ecpg}-%{majorversion}
cat ecpglib%{major_ecpg}-%{majorversion}.lang >> %{libecpg}.lst

# server
%find_lang initdb-%{majorversion}
cat initdb-%{majorversion}.lang >> server.lst
%find_lang pg_basebackup-%{majorversion}
cat pg_basebackup-%{majorversion}.lang >> server.lst
%find_lang pg_controldata-%{majorversion}
cat pg_controldata-%{majorversion}.lang >> server.lst
%find_lang pg_ctl-%{majorversion}
cat pg_ctl-%{majorversion}.lang >> server.lst
%find_lang pg_resetxlog-%{majorversion}
cat pg_resetxlog-%{majorversion}.lang >> server.lst
%find_lang postgres-%{majorversion}
cat postgres-%{majorversion}.lang >> server.lst

# main
%find_lang pg_config-%{majorversion}
cat pg_config-%{majorversion}.lang >> main.lst
%find_lang pg_dump-%{majorversion}
cat pg_dump-%{majorversion}.lang >> main.lst
%find_lang pg_rewind-%{majorversion}
cat pg_rewind-%{majorversion}.lang >> main.lst
%find_lang pgscripts-%{majorversion}
cat pgscripts-%{majorversion}.lang >> main.lst
%find_lang psql-%{majorversion}
cat psql-%{majorversion}.lang >>main.lst

# devel
%find_lang ecpg-%{majorversion}
cat ecpg-%{majorversion}.lang >> devel.lst

# perl
%find_lang plperl-%{majorversion}
cat plperl-%{majorversion}.lang >> plperl.lst

# python
%find_lang plpython-%{majorversion}
cat plpython-%{majorversion}.lang >> plpython.lst

# tcl
%find_lang pltcl-%{majorversion}
cat pltcl-%{majorversion}.lang >> pltcl.lst

# plpgsql
%find_lang plpgsql-%{majorversion}
cat plpgsql-%{majorversion}.lang >> plpgsql.lst

# taken directly in build dir.
rm -fr %{buildroot}%{_datadir}/doc/postgresql/contrib/

mkdir -p %{buildroot}/%{_sys_macros_dir}
cat > %{buildroot}/%{_sys_macros_dir}/%{name}.macros <<EOF
%%postgresql_version %{version}
%%postgresql_major   %{majorversion}
%%postgresql_minor   %{minorversion}
%%pgmodules_req Requires: %{?arch_tagged:%{arch_tagged} %{name}-server-ABI}%{?!arch_tagged:%{name}-server-ABI} >= %{majorversion}
EOF

# postgres' .profile and .bashrc
install -D -m 700 %{SOURCE10} %{buildroot}%{pgdata}/.profile
(
cd %{buildroot}%{pgdata}/
ln -s .profile .bashrc
)

cat > %{buildroot}%{_sysconfdir}/sysconfig/postgresql <<EOF
# Olivier Thauvin <nanardon@mandriva.org>

# The database location:
# You probably won't change this
# PGDATA=%{pgdata}/data

# What is the based locales for postgresql
# Setting locales to C allow to use any encoding
# ISO or UTF, any other choice will restrict you
# either ISO or UTF.
LC_ALL=UTF-8

# These are additional to pass to pg_ctl when starting/restarting postgresql.
# PGOPTIONS=
EOF

# cleanup
find %{buildroot} -type f -name "*.a" -exec rm -f {} ';'

%changelog
